package com.ruoyi.mall.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 推荐度对象 mall_school_suggest
 * 
 * @author ruoyi
 * @date 2023-10-28
 */
public class MallSchoolSuggest extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 推荐程度 */
    @Excel(name = "推荐程度")
    private Long suggestId;

    /** 推荐度 */
    @Excel(name = "推荐度")
    private Long suggestPoint;

    /** 推荐名称 */
    @Excel(name = "推荐名称")
    private String suggestName;

    /** 创建时间 */
    @Excel(name = "创建时间")
    private String createAt;

    /** 更新时间 */
    @Excel(name = "更新时间")
    private String updateAt;

    /** 删除标记(0-正常,1-删除) */
    @Excel(name = "删除标记(0-正常,1-删除)")
    private String delFlag;

    public void setSuggestId(Long suggestId) 
    {
        this.suggestId = suggestId;
    }

    public Long getSuggestId() 
    {
        return suggestId;
    }
    public void setSuggestPoint(Long suggestPoint) 
    {
        this.suggestPoint = suggestPoint;
    }

    public Long getSuggestPoint() 
    {
        return suggestPoint;
    }
    public void setSuggestName(String suggestName) 
    {
        this.suggestName = suggestName;
    }

    public String getSuggestName() 
    {
        return suggestName;
    }
    public void setCreateAt(String createAt) 
    {
        this.createAt = createAt;
    }

    public String getCreateAt() 
    {
        return createAt;
    }
    public void setUpdateAt(String updateAt) 
    {
        this.updateAt = updateAt;
    }

    public String getUpdateAt() 
    {
        return updateAt;
    }
    public void setDelFlag(String delFlag) 
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag() 
    {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("suggestId", getSuggestId())
            .append("suggestPoint", getSuggestPoint())
            .append("suggestName", getSuggestName())
            .append("createAt", getCreateAt())
            .append("updateAt", getUpdateAt())
            .append("delFlag", getDelFlag())
            .toString();
    }
}
